<template>
  <div class="con">
    <button type="button" class="btn btn-primary" data-bs-toggle="modal" :data-bs-target="'#' + firstModalId">
      First dialog window
    </button>
    <DialogWindow :inputsList="firstInputsList" :buttonsList="buttonsList" :modalId="firstModalId" :modalTitle="firstModalTitle" /> 
    <button type="button" class="btn btn-primary" data-bs-toggle="modal" :data-bs-target="'#' + secondModalId">
      Second dialog window
    </button>
    <DialogWindow :inputsList="secondInputsList" :buttonsList="buttonsList" :modalId="secondModalId" :modalTitle="secondModalTitle" /> 
  </div>   
</template>


<script>
import { Button } from './classes/button'
import DialogWindow from './components/DialogWindow.vue'
import {Input} from '@/classes/input'
export default {
  name: 'App',
  components: {
    DialogWindow
  },
  data() {
    return {
      buttonsList: [],
      firstInputsList: [],
      firstModalId: 'firstModal',
      firstModalTitle: 'Данные',
      secondInputsList: [],
      secondModalId: 'secondModal',
      secondModalTitle: 'Создать сотрудника',
    }
  },
  mounted() {
    this.firstInputsList = [
      new Input('select', 'manager', 'input manager_input', 'Менеджер', ['Менеджер 1', 'Менеджер 2', 'Менеджер 3']), 
      new Input('text', 'product_name', 'input product_input', 'Название продукта'),
      new Input('text', 'jira', 'input jira_input', 'Ссылка в Jira'),
      new Input('select', 'domain', 'input domain_input', 'Домен', ['Бэк-офис', 'Техплатформа', 'Офис больших данных', 'Цифровой опыт поставщика'])
    ]
    this.secondInputsList = [
      new Input('select', 'worker', 'input worker_input', 'Сотрудник', ['Сотрудник1', 'Сотрудник2', 'Сотрудник3']),
      new Input('select', 'worker_leader', 'input worker_leader_input', 'Руководитель', ['Руководитель1', 'Руководитель2', 'Руководитель3']),
      new Input('select', 'stavka_type', 'input stavka_type_input', 'Тип ставки', ['орех', 'сарех']),
      new Input('select', 'business_unit', 'input business_unit_input', 'Бизнес единица', ['MVM', 'MTech']),
      new Input('number', 'capital_percent', 'input capital_percent_input', 'Процент капитализации', [0, 100]),
      new Input('text', 'post', 'input post_input', 'Должность'),
    ]
    this.buttonsList = [
      new Button('reset', 'reset_button', 'Сбросить'),
      new Button('submit', 'submit_button', 'Создать', '//httpbin.org/post')
    ]
  },
}
</script>

<style>
html {
  box-sizing: border-box;
  font-size: 16px;
}

*, *:before, *:after {
  box-sizing: inherit;
}

body, h1, h2, h3, h4, h5, h6, p, ol, ul {
  margin: 0;
  padding: 0;
  font-weight: normal;
}

ol, ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}

.con {
  display: flex; 
  flex-direction: column;
  margin: 20px auto;
  max-width: 200px;
  height: 90px;
  justify-content: space-between;
}
</style>
